--- config.mk.orig	2023-10-23 10:47:34
+++ config.mk	2023-10-23 10:48:26
@@ -2,16 +2,15 @@
 
 # paths (unset $PCPREFIX to not install a pkg-config-file)
 DESTDIR   =
-PREFIX    = /usr/local
 INCPREFIX = $(PREFIX)/include
 LIBPREFIX = $(PREFIX)/lib
 MANPREFIX = $(PREFIX)/share/man
 PCPREFIX  = $(LIBPREFIX)/pkgconfig
 
 # flags
-CPPFLAGS = -D_DEFAULT_SOURCE
-CFLAGS   = -std=c99 -Os -Wall -Wextra -Wpedantic
-LDFLAGS  = -s
+CPPFLAGS = @CPPFLAGS@ -D_DEFAULT_SOURCE
+CFLAGS   = @ARCHFLAGS@ -std=c99 -Os -Wall -Wextra
+LDFLAGS  = @LDFLAGS@ -s
 
 BUILD_CPPFLAGS = $(CPPFLAGS)
 BUILD_CFLAGS   = $(CFLAGS)
@@ -19,14 +18,14 @@
 
 SHFLAGS   = -fPIC -ffreestanding
 
-SOFLAGS   = -shared -nostdlib -Wl,--soname=libgrapheme.so.$(VERSION_MAJOR).$(VERSION_MINOR)
-SONAME    = libgrapheme.so.$(VERSION_MAJOR).$(VERSION_MINOR).$(VERSION_PATCH)
-SOSYMLINK = true
+SOFLAGS   = -dynamiclib -install_name libgrapheme.$(VERSION_MAJOR).dylib -current_version $(VERSION_MAJOR).$(VERSION_MINOR).$(VERSION_PATCH) -compatibility_version $(VERSION_MAJOR).$(VERSION_MINOR).0
+SONAME    = libgrapheme.$(VERSION_MAJOR).dylib
+SOSYMLINK = false
 
 # tools (unset $LDCONFIG to not call ldconfig(1) after install/uninstall)
 CC       = cc
 BUILD_CC = $(CC)
 AR       = ar
 RANLIB   = ranlib
-LDCONFIG = ldconfig
+LDCONFIG = 
 SH       = sh
